Generation Framework

## org.eclipse.gmf.codegen.gmfgen.provider
Class GMFGenItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.gmf.codegen.gmfgen.util.GMFGenAdapterFactory
              org.eclipse.gmf.codegen.gmfgen.provider.GMFGenItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IChildCreationExtender, org.eclipse.emf.edit.provider.IDisposable

    public class GMFGenItemProviderAdapterFactory

extends GMFGenAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IChildCreationExtender

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender
`org.eclipse.emf.edit.provider.IChildCreationExtender.Descriptor`

Field Summary
`protected org.eclipse.emf.edit.provider.IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`
`protected org.eclipse.emf.edit.provider.ChildCreationExtenderManager` `childCreationExtenderManager` This helps manage the child creation extenders
`protected ColorAttributesItemProvider` `colorAttributesItemProvider` This keeps track of the one adapter used for all `ColorAttributes` instances
`protected CreateShortcutActionItemProvider` `createShortcutActionItemProvider` This keeps track of the one adapter used for all `CreateShortcutAction` instances
`protected CustomBehaviourItemProvider` `customBehaviourItemProvider` This keeps track of the one adapter used for all `CustomBehaviour` instances
`protected CustomParserItemProvider` `customParserItemProvider` This keeps track of the one adapter used for all `CustomParser` instances
`protected CustomTabFilterItemProvider` `customTabFilterItemProvider` This keeps track of the one adapter used for all `CustomTabFilter` instances
`protected DefaultSizeAttributesItemProvider` `defaultSizeAttributesItemProvider` This keeps track of the one adapter used for all `DefaultSizeAttributes` instances
`protected DesignLabelModelFacetItemProvider` `designLabelModelFacetItemProvider` This keeps track of the one adapter used for all `DesignLabelModelFacet` instances
`protected DynamicModelAccessItemProvider` `dynamicModelAccessItemProvider` This keeps track of the one adapter used for all `DynamicModelAccess` instances
`protected ExternalParserItemProvider` `externalParserItemProvider` This keeps track of the one adapter used for all `ExternalParser` instances
`protected FeatureLabelModelFacetItemProvider` `featureLabelModelFacetItemProvider` This keeps track of the one adapter used for all `FeatureLabelModelFacet` instances
`protected FeatureLinkModelFacetItemProvider` `featureLinkModelFacetItemProvider` This keeps track of the one adapter used for all `FeatureLinkModelFacet` instances
`protected FigureViewmapItemProvider` `figureViewmapItemProvider` This keeps track of the one adapter used for all `FigureViewmap` instances
`protected GenActionFactoryContributionItemItemProvider` `genActionFactoryContributionItemItemProvider` This keeps track of the one adapter used for all `GenActionFactoryContributionItem` instances
`protected GenApplicationItemProvider` `genApplicationItemProvider` This keeps track of the one adapter used for all `GenApplication` instances
`protected GenAuditContainerItemProvider` `genAuditContainerItemProvider` This keeps track of the one adapter used for all `GenAuditContainer` instances
`protected GenAuditContextItemProvider` `genAuditContextItemProvider` This keeps track of the one adapter used for all `GenAuditContext` instances
`protected GenAuditedMetricTargetItemProvider` `genAuditedMetricTargetItemProvider` This keeps track of the one adapter used for all `GenAuditedMetricTarget` instances
`protected GenAuditRootItemProvider` `genAuditRootItemProvider` This keeps track of the one adapter used for all `GenAuditRoot` instances
`protected GenAuditRuleItemProvider` `genAuditRuleItemProvider` This keeps track of the one adapter used for all `GenAuditRule` instances
`protected GenChildLabelNodeItemProvider` `genChildLabelNodeItemProvider` This keeps track of the one adapter used for all `GenChildLabelNode` instances
`protected GenChildNodeItemProvider` `genChildNodeItemProvider` This keeps track of the one adapter used for all `GenChildNode` instances
`protected GenChildSideAffixedNodeItemProvider` `genChildSideAffixedNodeItemProvider` This keeps track of the one adapter used for all `GenChildSideAffixedNode` instances
`protected GenCommandActionItemProvider` `genCommandActionItemProvider` This keeps track of the one adapter used for all `GenCommandAction` instances
`protected GenCompartmentItemProvider` `genCompartmentItemProvider` This keeps track of the one adapter used for all `GenCompartment` instances
`protected GenConstantColorItemProvider` `genConstantColorItemProvider` This keeps track of the one adapter used for all `GenConstantColor` instances
`protected GenConstraintItemProvider` `genConstraintItemProvider` This keeps track of the one adapter used for all `GenConstraint` instances
`protected GenContextMenuItemProvider` `genContextMenuItemProvider` This keeps track of the one adapter used for all `GenContextMenu` instances
`protected GenCustomActionItemProvider` `genCustomActionItemProvider` This keeps track of the one adapter used for all `GenCustomAction` instances
`protected GenCustomFontItemProvider` `genCustomFontItemProvider` This keeps track of the one adapter used for all `GenCustomFont` instances
`protected GenCustomPreferencePageItemProvider` `genCustomPreferencePageItemProvider` This keeps track of the one adapter used for all `GenCustomPreferencePage` instances
`protected GenCustomPropertyTabItemProvider` `genCustomPropertyTabItemProvider` This keeps track of the one adapter used for all `GenCustomPropertyTab` instances
`protected GenDiagramElementTargetItemProvider` `genDiagramElementTargetItemProvider` This keeps track of the one adapter used for all `GenDiagramElementTarget` instances
`protected GenDiagramItemProvider` `genDiagramItemProvider` This keeps track of the one adapter used for all `GenDiagram` instances
`protected GenDiagramPreferencesItemProvider` `genDiagramPreferencesItemProvider` This keeps track of the one adapter used for all `GenDiagramPreferences` instances
`protected GenDiagramUpdaterItemProvider` `genDiagramUpdaterItemProvider` This keeps track of the one adapter used for all `GenDiagramUpdater` instances
`protected GenDomainAttributeTargetItemProvider` `genDomainAttributeTargetItemProvider` This keeps track of the one adapter used for all `GenDomainAttributeTarget` instances
`protected GenDomainElementTargetItemProvider` `genDomainElementTargetItemProvider` This keeps track of the one adapter used for all `GenDomainElementTarget` instances
`protected GenEditorGeneratorItemProvider` `genEditorGeneratorItemProvider` This keeps track of the one adapter used for all `GenEditorGenerator` instances
`protected GenEditorViewItemProvider` `genEditorViewItemProvider` This keeps track of the one adapter used for all `GenEditorView` instances
`protected GenExpressionInterpreterItemProvider` `genExpressionInterpreterItemProvider` This keeps track of the one adapter used for all `GenExpressionInterpreter` instances
`protected GenExpressionProviderContainerItemProvider` `genExpressionProviderContainerItemProvider` This keeps track of the one adapter used for all `GenExpressionProviderContainer` instances
`protected GenExternalNodeLabelItemProvider` `genExternalNodeLabelItemProvider` This keeps track of the one adapter used for all `GenExternalNodeLabel` instances
`protected GenFeatureSeqInitializerItemProvider` `genFeatureSeqInitializerItemProvider` This keeps track of the one adapter used for all `GenFeatureSeqInitializer` instances
`protected GenFeatureValueSpecItemProvider` `genFeatureValueSpecItemProvider` This keeps track of the one adapter used for all `GenFeatureValueSpec` instances
`protected GenGroupMarkerItemProvider` `genGroupMarkerItemProvider` This keeps track of the one adapter used for all `GenGroupMarker` instances
`protected GenJavaExpressionProviderItemProvider` `genJavaExpressionProviderItemProvider` This keeps track of the one adapter used for all `GenJavaExpressionProvider` instances
`protected GenLinkConstraintsItemProvider` `genLinkConstraintsItemProvider` This keeps track of the one adapter used for all `GenLinkConstraints` instances
`protected GenLinkItemProvider` `genLinkItemProvider` This keeps track of the one adapter used for all `GenLink` instances
`protected GenLinkLabelItemProvider` `genLinkLabelItemProvider` This keeps track of the one adapter used for all `GenLinkLabel` instances
`protected GenLiteralExpressionProviderItemProvider` `genLiteralExpressionProviderItemProvider` This keeps track of the one adapter used for all `GenLiteralExpressionProvider` instances
`protected GenMenuManagerItemProvider` `genMenuManagerItemProvider` This keeps track of the one adapter used for all `GenMenuManager` instances
`protected GenMetricContainerItemProvider` `genMetricContainerItemProvider` This keeps track of the one adapter used for all `GenMetricContainer` instances
`protected GenMetricRuleItemProvider` `genMetricRuleItemProvider` This keeps track of the one adapter used for all `GenMetricRule` instances
`protected GenNavigatorChildReferenceItemProvider` `genNavigatorChildReferenceItemProvider` This keeps track of the one adapter used for all `GenNavigatorChildReference` instances
`protected GenNavigatorItemProvider` `genNavigatorItemProvider` This keeps track of the one adapter used for all `GenNavigator` instances
`protected GenNavigatorPathItemProvider` `genNavigatorPathItemProvider` This keeps track of the one adapter used for all `GenNavigatorPath` instances
`protected GenNavigatorPathSegmentItemProvider` `genNavigatorPathSegmentItemProvider` This keeps track of the one adapter used for all `GenNavigatorPathSegment` instances
`protected GenNodeLabelItemProvider` `genNodeLabelItemProvider` This keeps track of the one adapter used for all `GenNodeLabel` instances
`protected GenNotationElementTargetItemProvider` `genNotationElementTargetItemProvider` This keeps track of the one adapter used for all `GenNotationElementTarget` instances
`protected GenParsersItemProvider` `genParsersItemProvider` This keeps track of the one adapter used for all `GenParsers` instances
`protected GenPluginItemProvider` `genPluginItemProvider` This keeps track of the one adapter used for all `GenPlugin` instances
`protected GenPreferenceItemProvider` `genPreferenceItemProvider` This keeps track of the one adapter used for all `GenPreference` instances
`protected GenPropertySheetItemProvider` `genPropertySheetItemProvider` This keeps track of the one adapter used for all `GenPropertySheet` instances
`protected GenReferenceNewElementSpecItemProvider` `genReferenceNewElementSpecItemProvider` This keeps track of the one adapter used for all `GenReferenceNewElementSpec` instances
`protected GenRGBColorItemProvider` `genRGBColorItemProvider` This keeps track of the one adapter used for all `GenRGBColor` instances
`protected GenSeparatorItemProvider` `genSeparatorItemProvider` This keeps track of the one adapter used for all `GenSeparator` instances
`protected GenSharedContributionItemItemProvider` `genSharedContributionItemItemProvider` This keeps track of the one adapter used for all `GenSharedContributionItem` instances
`protected GenStandardFontItemProvider` `genStandardFontItemProvider` This keeps track of the one adapter used for all `GenStandardFont` instances
`protected GenStandardPreferencePageItemProvider` `genStandardPreferencePageItemProvider` This keeps track of the one adapter used for all `GenStandardPreferencePage` instances
`protected GenStandardPropertyTabItemProvider` `genStandardPropertyTabItemProvider` This keeps track of the one adapter used for all `GenStandardPropertyTab` instances
`protected GenToolBarManagerItemProvider` `genToolBarManagerItemProvider` This keeps track of the one adapter used for all `GenToolBarManager` instances
`protected GenTopLevelNodeItemProvider` `genTopLevelNodeItemProvider` This keeps track of the one adapter used for all `GenTopLevelNode` instances
`protected InitDiagramActionItemProvider` `initDiagramActionItemProvider` This keeps track of the one adapter used for all `InitDiagramAction` instances
`protected InnerClassViewmapItemProvider` `innerClassViewmapItemProvider` This keeps track of the one adapter used for all `InnerClassViewmap` instances
`protected LabelModelFacetItemProvider` `labelModelFacetItemProvider` This keeps track of the one adapter used for all `LabelModelFacet` instances
`protected LabelOffsetAttributesItemProvider` `labelOffsetAttributesItemProvider` This keeps track of the one adapter used for all `LabelOffsetAttributes` instances
`protected LoadResourceActionItemProvider` `loadResourceActionItemProvider` This keeps track of the one adapter used for all `LoadResourceAction` instances
`protected MetamodelTypeItemProvider` `metamodelTypeItemProvider` This keeps track of the one adapter used for all `MetamodelType` instances
`protected ModeledViewmapItemProvider` `modeledViewmapItemProvider` This keeps track of the one adapter used for all `ModeledViewmap` instances
`protected NotationTypeItemProvider` `notationTypeItemProvider` This keeps track of the one adapter used for all `NotationType` instances
`protected OpenDiagramBehaviourItemProvider` `openDiagramBehaviourItemProvider` This keeps track of the one adapter used for all `OpenDiagramBehaviour` instances
`protected PaletteItemProvider` `paletteItemProvider` This keeps track of the one adapter used for all `Palette` instances
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
`protected ParentAssignedViewmapItemProvider` `parentAssignedViewmapItemProvider` This keeps track of the one adapter used for all `ParentAssignedViewmap` instances
`protected PredefinedParserItemProvider` `predefinedParserItemProvider` This keeps track of the one adapter used for all `PredefinedParser` instances
`protected ResizeConstraintsItemProvider` `resizeConstraintsItemProvider` This keeps track of the one adapter used for all `ResizeConstraints` instances
`protected SeparatorItemProvider` `separatorItemProvider` This keeps track of the one adapter used for all `Separator` instances
`protected SharedBehaviourItemProvider` `sharedBehaviourItemProvider` This keeps track of the one adapter used for all `SharedBehaviour` instances
`protected SnippetViewmapItemProvider` `snippetViewmapItemProvider` This keeps track of the one adapter used for all `SnippetViewmap` instances
`protected SpecializationTypeItemProvider` `specializationTypeItemProvider` This keeps track of the one adapter used for all `SpecializationType` instances
`protected StandardEntryItemProvider` `standardEntryItemProvider` This keeps track of the one adapter used for all `StandardEntry` instances
`protected StyleAttributesItemProvider` `styleAttributesItemProvider` This keeps track of the one adapter used for all `StyleAttributes` instances
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`
`protected ToolEntryItemProvider` `toolEntryItemProvider` This keeps track of the one adapter used for all `ToolEntry` instances
`protected ToolGroupItemProvider` `toolGroupItemProvider` This keeps track of the one adapter used for all `ToolGroup` instances
`protected TypeLinkModelFacetItemProvider` `typeLinkModelFacetItemProvider` This keeps track of the one adapter used for all `TypeLinkModelFacet` instances
`protected TypeModelFacetItemProvider` `typeModelFacetItemProvider` This keeps track of the one adapter used for all `TypeModelFacet` instances
`protected TypeTabFilterItemProvider` `typeTabFilterItemProvider` This keeps track of the one adapter used for all `TypeTabFilter` instances
`protected ValueExpressionItemProvider` `valueExpressionItemProvider` This keeps track of the one adapter used for all `ValueExpression` instances

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.util.GMFGenAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`GMFGenItemProviderAdapterFactory()` This constructs an instance

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener
`org.eclipse.emf.common.notify.Adapter` `createColorAttributesAdapter()` This creates an adapter for a `ColorAttributes`
`org.eclipse.emf.common.notify.Adapter` `createCreateShortcutActionAdapter()` This creates an adapter for a `CreateShortcutAction`
`org.eclipse.emf.common.notify.Adapter` `createCustomBehaviourAdapter()` This creates an adapter for a `CustomBehaviour`
`org.eclipse.emf.common.notify.Adapter` `createCustomParserAdapter()` This creates an adapter for a `CustomParser`
`org.eclipse.emf.common.notify.Adapter` `createCustomTabFilterAdapter()` This creates an adapter for a `CustomTabFilter`
`org.eclipse.emf.common.notify.Adapter` `createDefaultSizeAttributesAdapter()` This creates an adapter for a `DefaultSizeAttributes`
`org.eclipse.emf.common.notify.Adapter` `createDesignLabelModelFacetAdapter()` This creates an adapter for a `DesignLabelModelFacet`
`org.eclipse.emf.common.notify.Adapter` `createDynamicModelAccessAdapter()` This creates an adapter for a `DynamicModelAccess`
`org.eclipse.emf.common.notify.Adapter` `createExternalParserAdapter()` This creates an adapter for a `ExternalParser`
`org.eclipse.emf.common.notify.Adapter` `createFeatureLabelModelFacetAdapter()` This creates an adapter for a `FeatureLabelModelFacet`
`org.eclipse.emf.common.notify.Adapter` `createFeatureLinkModelFacetAdapter()` This creates an adapter for a `FeatureLinkModelFacet`
`org.eclipse.emf.common.notify.Adapter` `createFigureViewmapAdapter()` This creates an adapter for a `FigureViewmap`
`org.eclipse.emf.common.notify.Adapter` `createGenActionFactoryContributionItemAdapter()` This creates an adapter for a `GenActionFactoryContributionItem`
`org.eclipse.emf.common.notify.Adapter` `createGenApplicationAdapter()` This creates an adapter for a `GenApplication`
`org.eclipse.emf.common.notify.Adapter` `createGenAuditContainerAdapter()` This creates an adapter for a `GenAuditContainer`
`org.eclipse.emf.common.notify.Adapter` `createGenAuditContextAdapter()` This creates an adapter for a `GenAuditContext`
`org.eclipse.emf.common.notify.Adapter` `createGenAuditedMetricTargetAdapter()` This creates an adapter for a `GenAuditedMetricTarget`
`org.eclipse.emf.common.notify.Adapter` `createGenAuditRootAdapter()` This creates an adapter for a `GenAuditRoot`
`org.eclipse.emf.common.notify.Adapter` `createGenAuditRuleAdapter()` This creates an adapter for a `GenAuditRule`
`org.eclipse.emf.common.notify.Adapter` `createGenChildLabelNodeAdapter()` This creates an adapter for a `GenChildLabelNode`
`org.eclipse.emf.common.notify.Adapter` `createGenChildNodeAdapter()` This creates an adapter for a `GenChildNode`
`org.eclipse.emf.common.notify.Adapter` `createGenChildSideAffixedNodeAdapter()` This creates an adapter for a `GenChildSideAffixedNode`
`org.eclipse.emf.common.notify.Adapter` `createGenCommandActionAdapter()` This creates an adapter for a `GenCommandAction`
`org.eclipse.emf.common.notify.Adapter` `createGenCompartmentAdapter()` This creates an adapter for a `GenCompartment`
`org.eclipse.emf.common.notify.Adapter` `createGenConstantColorAdapter()` This creates an adapter for a `GenConstantColor`
`org.eclipse.emf.common.notify.Adapter` `createGenConstraintAdapter()` This creates an adapter for a `GenConstraint`
`org.eclipse.emf.common.notify.Adapter` `createGenContextMenuAdapter()` This creates an adapter for a `GenContextMenu`
`org.eclipse.emf.common.notify.Adapter` `createGenCustomActionAdapter()` This creates an adapter for a `GenCustomAction`
`org.eclipse.emf.common.notify.Adapter` `createGenCustomFontAdapter()` This creates an adapter for a `GenCustomFont`
`org.eclipse.emf.common.notify.Adapter` `createGenCustomPreferencePageAdapter()` This creates an adapter for a `GenCustomPreferencePage`
`org.eclipse.emf.common.notify.Adapter` `createGenCustomPropertyTabAdapter()` This creates an adapter for a `GenCustomPropertyTab`
`org.eclipse.emf.common.notify.Adapter` `createGenDiagramAdapter()` This creates an adapter for a `GenDiagram`
`org.eclipse.emf.common.notify.Adapter` `createGenDiagramElementTargetAdapter()` This creates an adapter for a `GenDiagramElementTarget`
`org.eclipse.emf.common.notify.Adapter` `createGenDiagramPreferencesAdapter()` This creates an adapter for a `GenDiagramPreferences`
`org.eclipse.emf.common.notify.Adapter` `createGenDiagramUpdaterAdapter()` This creates an adapter for a `GenDiagramUpdater`
`org.eclipse.emf.common.notify.Adapter` `createGenDomainAttributeTargetAdapter()` This creates an adapter for a `GenDomainAttributeTarget`
`org.eclipse.emf.common.notify.Adapter` `createGenDomainElementTargetAdapter()` This creates an adapter for a `GenDomainElementTarget`
`org.eclipse.emf.common.notify.Adapter` `createGenEditorGeneratorAdapter()` This creates an adapter for a `GenEditorGenerator`
`org.eclipse.emf.common.notify.Adapter` `createGenEditorViewAdapter()` This creates an adapter for a `GenEditorView`
`org.eclipse.emf.common.notify.Adapter` `createGenExpressionInterpreterAdapter()` This creates an adapter for a `GenExpressionInterpreter`
`org.eclipse.emf.common.notify.Adapter` `createGenExpressionProviderContainerAdapter()` This creates an adapter for a `GenExpressionProviderContainer`
`org.eclipse.emf.common.notify.Adapter` `createGenExternalNodeLabelAdapter()` This creates an adapter for a `GenExternalNodeLabel`
`org.eclipse.emf.common.notify.Adapter` `createGenFeatureSeqInitializerAdapter()` This creates an adapter for a `GenFeatureSeqInitializer`
`org.eclipse.emf.common.notify.Adapter` `createGenFeatureValueSpecAdapter()` This creates an adapter for a `GenFeatureValueSpec`
`org.eclipse.emf.common.notify.Adapter` `createGenGroupMarkerAdapter()` This creates an adapter for a `GenGroupMarker`
`org.eclipse.emf.common.notify.Adapter` `createGenJavaExpressionProviderAdapter()` This creates an adapter for a `GenJavaExpressionProvider`
`org.eclipse.emf.common.notify.Adapter` `createGenLinkAdapter()` This creates an adapter for a `GenLink`
`org.eclipse.emf.common.notify.Adapter` `createGenLinkConstraintsAdapter()` This creates an adapter for a `GenLinkConstraints`
`org.eclipse.emf.common.notify.Adapter` `createGenLinkLabelAdapter()` This creates an adapter for a `GenLinkLabel`
`org.eclipse.emf.common.notify.Adapter` `createGenLiteralExpressionProviderAdapter()` This creates an adapter for a `GenLiteralExpressionProvider`
`org.eclipse.emf.common.notify.Adapter` `createGenMenuManagerAdapter()` This creates an adapter for a `GenMenuManager`
`org.eclipse.emf.common.notify.Adapter` `createGenMetricContainerAdapter()` This creates an adapter for a `GenMetricContainer`
`org.eclipse.emf.common.notify.Adapter` `createGenMetricRuleAdapter()` This creates an adapter for a `GenMetricRule`
`org.eclipse.emf.common.notify.Adapter` `createGenNavigatorAdapter()` This creates an adapter for a `GenNavigator`
`org.eclipse.emf.common.notify.Adapter` `createGenNavigatorChildReferenceAdapter()` This creates an adapter for a `GenNavigatorChildReference`
`org.eclipse.emf.common.notify.Adapter` `createGenNavigatorPathAdapter()` This creates an adapter for a `GenNavigatorPath`
`org.eclipse.emf.common.notify.Adapter` `createGenNavigatorPathSegmentAdapter()` This creates an adapter for a `GenNavigatorPathSegment`
`org.eclipse.emf.common.notify.Adapter` `createGenNodeLabelAdapter()` This creates an adapter for a `GenNodeLabel`
`org.eclipse.emf.common.notify.Adapter` `createGenNotationElementTargetAdapter()` This creates an adapter for a `GenNotationElementTarget`
`org.eclipse.emf.common.notify.Adapter` `createGenParsersAdapter()` This creates an adapter for a `GenParsers`
`org.eclipse.emf.common.notify.Adapter` `createGenPluginAdapter()` This creates an adapter for a `GenPlugin`
`org.eclipse.emf.common.notify.Adapter` `createGenPreferenceAdapter()` This creates an adapter for a `GenPreference`
`org.eclipse.emf.common.notify.Adapter` `createGenPropertySheetAdapter()` This creates an adapter for a `GenPropertySheet`
`org.eclipse.emf.common.notify.Adapter` `createGenReferenceNewElementSpecAdapter()` This creates an adapter for a `GenReferenceNewElementSpec`
`org.eclipse.emf.common.notify.Adapter` `createGenRGBColorAdapter()` This creates an adapter for a `GenRGBColor`
`org.eclipse.emf.common.notify.Adapter` `createGenSeparatorAdapter()` This creates an adapter for a `GenSeparator`
`org.eclipse.emf.common.notify.Adapter` `createGenSharedContributionItemAdapter()` This creates an adapter for a `GenSharedContributionItem`
`org.eclipse.emf.common.notify.Adapter` `createGenStandardFontAdapter()` This creates an adapter for a `GenStandardFont`
`org.eclipse.emf.common.notify.Adapter` `createGenStandardPreferencePageAdapter()` This creates an adapter for a `GenStandardPreferencePage`
`org.eclipse.emf.common.notify.Adapter` `createGenStandardPropertyTabAdapter()` This creates an adapter for a `GenStandardPropertyTab`
`org.eclipse.emf.common.notify.Adapter` `createGenToolBarManagerAdapter()` This creates an adapter for a `GenToolBarManager`
`org.eclipse.emf.common.notify.Adapter` `createGenTopLevelNodeAdapter()` This creates an adapter for a `GenTopLevelNode`
`org.eclipse.emf.common.notify.Adapter` `createInitDiagramActionAdapter()` This creates an adapter for a `InitDiagramAction`
`org.eclipse.emf.common.notify.Adapter` `createInnerClassViewmapAdapter()` This creates an adapter for a `InnerClassViewmap`
`org.eclipse.emf.common.notify.Adapter` `createLabelModelFacetAdapter()` This creates an adapter for a `LabelModelFacet`
`org.eclipse.emf.common.notify.Adapter` `createLabelOffsetAttributesAdapter()` This creates an adapter for a `LabelOffsetAttributes`
`org.eclipse.emf.common.notify.Adapter` `createLoadResourceActionAdapter()` This creates an adapter for a `LoadResourceAction`
`org.eclipse.emf.common.notify.Adapter` `createMetamodelTypeAdapter()` This creates an adapter for a `MetamodelType`
`org.eclipse.emf.common.notify.Adapter` `createModeledViewmapAdapter()` This creates an adapter for a `ModeledViewmap`
`org.eclipse.emf.common.notify.Adapter` `createNotationTypeAdapter()` This creates an adapter for a `NotationType`
`org.eclipse.emf.common.notify.Adapter` `createOpenDiagramBehaviourAdapter()` This creates an adapter for a `OpenDiagramBehaviour`
`org.eclipse.emf.common.notify.Adapter` `createPaletteAdapter()` This creates an adapter for a `Palette`
`org.eclipse.emf.common.notify.Adapter` `createParentAssignedViewmapAdapter()` This creates an adapter for a `ParentAssignedViewmap`
`org.eclipse.emf.common.notify.Adapter` `createPredefinedParserAdapter()` This creates an adapter for a `PredefinedParser`
`org.eclipse.emf.common.notify.Adapter` `createResizeConstraintsAdapter()` This creates an adapter for a `ResizeConstraints`
`org.eclipse.emf.common.notify.Adapter` `createSeparatorAdapter()` This creates an adapter for a `Separator`
`org.eclipse.emf.common.notify.Adapter` `createSharedBehaviourAdapter()` This creates an adapter for a `SharedBehaviour`
`org.eclipse.emf.common.notify.Adapter` `createSnippetViewmapAdapter()` This creates an adapter for a `SnippetViewmap`
`org.eclipse.emf.common.notify.Adapter` `createSpecializationTypeAdapter()` This creates an adapter for a `SpecializationType`
`org.eclipse.emf.common.notify.Adapter` `createStandardEntryAdapter()` This creates an adapter for a `StandardEntry`
`org.eclipse.emf.common.notify.Adapter` `createStyleAttributesAdapter()` This creates an adapter for a `StyleAttributes`
`org.eclipse.emf.common.notify.Adapter` `createToolEntryAdapter()` This creates an adapter for a `ToolEntry`
`org.eclipse.emf.common.notify.Adapter` `createToolGroupAdapter()` This creates an adapter for a `ToolGroup`
`org.eclipse.emf.common.notify.Adapter` `createTypeLinkModelFacetAdapter()` This creates an adapter for a `TypeLinkModelFacet`
`org.eclipse.emf.common.notify.Adapter` `createTypeModelFacetAdapter()` This creates an adapter for a `TypeModelFacet`
`org.eclipse.emf.common.notify.Adapter` `createTypeTabFilterAdapter()` This creates an adapter for a `TypeTabFilter`
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionAdapter()` This creates an adapter for a `ValueExpression`
`void` `dispose()` This disposes all of the item providers created by this factory
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
`java.util.List<org.eclipse.emf.edit.provider.IChildCreationExtender>` `getChildCreationExtenders()`
`java.util.Collection<?>` `getNewChildDescriptors(java.lang.Object object, org.eclipse.emf.edit.domain.EditingDomain editingDomain)`
`org.eclipse.emf.common.util.ResourceLocator` `getResourceLocator()`
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.util.GMFGenAdapterFactory

`createAbstractToolEntryAdapter, createAdapter, createAttributesAdapter, createBatchValidationAdapter, createBehaviourAdapter, createEditorCandiesAdapter, createEditPartCandiesAdapter, createElementTypeAdapter, createEntryBaseAdapter, createEObjectAdapter, createGenActionAdapter, createGenAuditableAdapter, createGenChildContainerAdapter, createGenColorAdapter, createGenCommonBaseAdapter, createGenContainerBaseAdapter, createGenContributionItemAdapter, createGenContributionManagerAdapter, createGenDomainModelNavigatorAdapter, createGenElementInitializerAdapter, createGenExpressionProviderBaseAdapter, createGenFeatureInitializerAdapter, createGenFontAdapter, createGenLabelAdapter, createGenLinkEndAdapter, createGenMeasurableAdapter, createGenNodeAdapter, createGenParserImplementationAdapter, createGenPreferencePageAdapter, createGenPropertyTabAdapter, createGenPropertyTabFilterAdapter, createGenRuleBaseAdapter, createGenRuleTargetAdapter, createLinkConstraintsAdapter, createLinkModelFacetAdapter, createMeasurementUnitAdapter, createModelFacetAdapter, createPackageNamesAdapter, createProviderClassNamesAdapter, createShortcutsAdapter, createToolGroupItemAdapter, createViewmapAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

  ** Generated **

### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

  ** Generated **

### childCreationExtenderManager

    protected org.eclipse.emf.edit.provider.ChildCreationExtenderManager childCreationExtenderManager

  This helps manage the child creation extenders.

  ** Generated **

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

  ** Generated **

### genEditorGeneratorItemProvider

    protected GenEditorGeneratorItemProvider genEditorGeneratorItemProvider

  This keeps track of the one adapter used for all `GenEditorGenerator` instances.

  ** Generated **

### genDiagramItemProvider

    protected GenDiagramItemProvider genDiagramItemProvider

  This keeps track of the one adapter used for all `GenDiagram` instances.

  ** Generated **

### genEditorViewItemProvider

    protected GenEditorViewItemProvider genEditorViewItemProvider

  This keeps track of the one adapter used for all `GenEditorView` instances.

  ** Generated **

### genCustomPreferencePageItemProvider

    protected GenCustomPreferencePageItemProvider genCustomPreferencePageItemProvider

  This keeps track of the one adapter used for all `GenCustomPreferencePage` instances.

  ** Generated **

### genStandardPreferencePageItemProvider

    protected GenStandardPreferencePageItemProvider genStandardPreferencePageItemProvider

  This keeps track of the one adapter used for all `GenStandardPreferencePage` instances.

  ** Generated **

### genDiagramPreferencesItemProvider

    protected GenDiagramPreferencesItemProvider genDiagramPreferencesItemProvider

  This keeps track of the one adapter used for all `GenDiagramPreferences` instances.

  ** Generated **

### genStandardFontItemProvider

    protected GenStandardFontItemProvider genStandardFontItemProvider

  This keeps track of the one adapter used for all `GenStandardFont` instances.

  ** Generated **

### genCustomFontItemProvider

    protected GenCustomFontItemProvider genCustomFontItemProvider

  This keeps track of the one adapter used for all `GenCustomFont` instances.

  ** Generated **

### genRGBColorItemProvider

    protected GenRGBColorItemProvider genRGBColorItemProvider

  This keeps track of the one adapter used for all `GenRGBColor` instances.

  ** Generated **

### genConstantColorItemProvider

    protected GenConstantColorItemProvider genConstantColorItemProvider

  This keeps track of the one adapter used for all `GenConstantColor` instances.

  ** Generated **

### genPreferenceItemProvider

    protected GenPreferenceItemProvider genPreferenceItemProvider

  This keeps track of the one adapter used for all `GenPreference` instances.

  ** Generated **

### genDiagramUpdaterItemProvider

    protected GenDiagramUpdaterItemProvider genDiagramUpdaterItemProvider

  This keeps track of the one adapter used for all `GenDiagramUpdater` instances.

  ** Generated **

### genPluginItemProvider

    protected GenPluginItemProvider genPluginItemProvider

  This keeps track of the one adapter used for all `GenPlugin` instances.

  ** Generated **

### dynamicModelAccessItemProvider

    protected DynamicModelAccessItemProvider dynamicModelAccessItemProvider

  This keeps track of the one adapter used for all `DynamicModelAccess` instances.

  ** Generated **

### customBehaviourItemProvider

    protected CustomBehaviourItemProvider customBehaviourItemProvider

  This keeps track of the one adapter used for all `CustomBehaviour` instances.

  ** Generated **

### sharedBehaviourItemProvider

    protected SharedBehaviourItemProvider sharedBehaviourItemProvider

  This keeps track of the one adapter used for all `SharedBehaviour` instances.

  ** Generated **

### openDiagramBehaviourItemProvider

    protected OpenDiagramBehaviourItemProvider openDiagramBehaviourItemProvider

  This keeps track of the one adapter used for all `OpenDiagramBehaviour` instances.

  ** Generated **

### genTopLevelNodeItemProvider

    protected GenTopLevelNodeItemProvider genTopLevelNodeItemProvider

  This keeps track of the one adapter used for all `GenTopLevelNode` instances.

  ** Generated **

### genChildNodeItemProvider

    protected GenChildNodeItemProvider genChildNodeItemProvider

  This keeps track of the one adapter used for all `GenChildNode` instances.

  ** Generated **

### genChildSideAffixedNodeItemProvider

    protected GenChildSideAffixedNodeItemProvider genChildSideAffixedNodeItemProvider

  This keeps track of the one adapter used for all `GenChildSideAffixedNode` instances.

  ** Generated **

### genChildLabelNodeItemProvider

    protected GenChildLabelNodeItemProvider genChildLabelNodeItemProvider

  This keeps track of the one adapter used for all `GenChildLabelNode` instances.

  ** Generated **

### genCompartmentItemProvider

    protected GenCompartmentItemProvider genCompartmentItemProvider

  This keeps track of the one adapter used for all `GenCompartment` instances.

  ** Generated **

### genLinkItemProvider

    protected GenLinkItemProvider genLinkItemProvider

  This keeps track of the one adapter used for all `GenLink` instances.

  ** Generated **

### genNodeLabelItemProvider

    protected GenNodeLabelItemProvider genNodeLabelItemProvider

  This keeps track of the one adapter used for all `GenNodeLabel` instances.

  ** Generated **

### genExternalNodeLabelItemProvider

    protected GenExternalNodeLabelItemProvider genExternalNodeLabelItemProvider

  This keeps track of the one adapter used for all `GenExternalNodeLabel` instances.

  ** Generated **

### genLinkLabelItemProvider

    protected GenLinkLabelItemProvider genLinkLabelItemProvider

  This keeps track of the one adapter used for all `GenLinkLabel` instances.

  ** Generated **

### metamodelTypeItemProvider

    protected MetamodelTypeItemProvider metamodelTypeItemProvider

  This keeps track of the one adapter used for all `MetamodelType` instances.

  ** Generated **

### specializationTypeItemProvider

    protected SpecializationTypeItemProvider specializationTypeItemProvider

  This keeps track of the one adapter used for all `SpecializationType` instances.

  ** Generated **

### notationTypeItemProvider

    protected NotationTypeItemProvider notationTypeItemProvider

  This keeps track of the one adapter used for all `NotationType` instances.

  ** Generated **

### labelModelFacetItemProvider

    protected LabelModelFacetItemProvider labelModelFacetItemProvider

  This keeps track of the one adapter used for all `LabelModelFacet` instances.

  ** Generated **

### typeModelFacetItemProvider

    protected TypeModelFacetItemProvider typeModelFacetItemProvider

  This keeps track of the one adapter used for all `TypeModelFacet` instances.

  ** Generated **

### typeLinkModelFacetItemProvider

    protected TypeLinkModelFacetItemProvider typeLinkModelFacetItemProvider

  This keeps track of the one adapter used for all `TypeLinkModelFacet` instances.

  ** Generated **

### featureLinkModelFacetItemProvider

    protected FeatureLinkModelFacetItemProvider featureLinkModelFacetItemProvider

  This keeps track of the one adapter used for all `FeatureLinkModelFacet` instances.

  ** Generated **

### featureLabelModelFacetItemProvider

    protected FeatureLabelModelFacetItemProvider featureLabelModelFacetItemProvider

  This keeps track of the one adapter used for all `FeatureLabelModelFacet` instances.

  ** Generated **

### designLabelModelFacetItemProvider

    protected DesignLabelModelFacetItemProvider designLabelModelFacetItemProvider

  This keeps track of the one adapter used for all `DesignLabelModelFacet` instances.

  ** Generated **

### colorAttributesItemProvider

    protected ColorAttributesItemProvider colorAttributesItemProvider

  This keeps track of the one adapter used for all `ColorAttributes` instances.

  ** Generated **

### styleAttributesItemProvider

    protected StyleAttributesItemProvider styleAttributesItemProvider

  This keeps track of the one adapter used for all `StyleAttributes` instances.

  ** Generated **

### resizeConstraintsItemProvider

    protected ResizeConstraintsItemProvider resizeConstraintsItemProvider

  This keeps track of the one adapter used for all `ResizeConstraints` instances.

  ** Generated **

### defaultSizeAttributesItemProvider

    protected DefaultSizeAttributesItemProvider defaultSizeAttributesItemProvider

  This keeps track of the one adapter used for all `DefaultSizeAttributes` instances.

  ** Generated **

### labelOffsetAttributesItemProvider

    protected LabelOffsetAttributesItemProvider labelOffsetAttributesItemProvider

  This keeps track of the one adapter used for all `LabelOffsetAttributes` instances.

  ** Generated **

### figureViewmapItemProvider

    protected FigureViewmapItemProvider figureViewmapItemProvider

  This keeps track of the one adapter used for all `FigureViewmap` instances.

  ** Generated **

### snippetViewmapItemProvider

    protected SnippetViewmapItemProvider snippetViewmapItemProvider

  This keeps track of the one adapter used for all `SnippetViewmap` instances.

  ** Generated **

### innerClassViewmapItemProvider

    protected InnerClassViewmapItemProvider innerClassViewmapItemProvider

  This keeps track of the one adapter used for all `InnerClassViewmap` instances.

  ** Generated **

### parentAssignedViewmapItemProvider

    protected ParentAssignedViewmapItemProvider parentAssignedViewmapItemProvider

  This keeps track of the one adapter used for all `ParentAssignedViewmap` instances.

  ** Generated **

### modeledViewmapItemProvider

    protected ModeledViewmapItemProvider modeledViewmapItemProvider

  This keeps track of the one adapter used for all `ModeledViewmap` instances.

  ** Generated **

### paletteItemProvider

    protected PaletteItemProvider paletteItemProvider

  This keeps track of the one adapter used for all `Palette` instances.

  ** Generated **

### toolEntryItemProvider

    protected ToolEntryItemProvider toolEntryItemProvider

  This keeps track of the one adapter used for all `ToolEntry` instances.

  ** Generated **

### standardEntryItemProvider

    protected StandardEntryItemProvider standardEntryItemProvider

  This keeps track of the one adapter used for all `StandardEntry` instances.

  ** Generated **

### separatorItemProvider

    protected SeparatorItemProvider separatorItemProvider

  This keeps track of the one adapter used for all `Separator` instances.

  ** Generated **

### toolGroupItemProvider

    protected ToolGroupItemProvider toolGroupItemProvider

  This keeps track of the one adapter used for all `ToolGroup` instances.

  ** Generated **

### genFeatureSeqInitializerItemProvider

    protected GenFeatureSeqInitializerItemProvider genFeatureSeqInitializerItemProvider

  This keeps track of the one adapter used for all `GenFeatureSeqInitializer` instances.

  ** Generated **

### genFeatureValueSpecItemProvider

    protected GenFeatureValueSpecItemProvider genFeatureValueSpecItemProvider

  This keeps track of the one adapter used for all `GenFeatureValueSpec` instances.

  ** Generated **

### genReferenceNewElementSpecItemProvider

    protected GenReferenceNewElementSpecItemProvider genReferenceNewElementSpecItemProvider

  This keeps track of the one adapter used for all `GenReferenceNewElementSpec` instances.

  ** Generated **

### genLinkConstraintsItemProvider

    protected GenLinkConstraintsItemProvider genLinkConstraintsItemProvider

  This keeps track of the one adapter used for all `GenLinkConstraints` instances.

  ** Generated **

### genAuditRootItemProvider

    protected GenAuditRootItemProvider genAuditRootItemProvider

  This keeps track of the one adapter used for all `GenAuditRoot` instances.

  ** Generated **

### genAuditContainerItemProvider

    protected GenAuditContainerItemProvider genAuditContainerItemProvider

  This keeps track of the one adapter used for all `GenAuditContainer` instances.

  ** Generated **

### genAuditRuleItemProvider

    protected GenAuditRuleItemProvider genAuditRuleItemProvider

  This keeps track of the one adapter used for all `GenAuditRule` instances.

  ** Generated **

### genDomainElementTargetItemProvider

    protected GenDomainElementTargetItemProvider genDomainElementTargetItemProvider

  This keeps track of the one adapter used for all `GenDomainElementTarget` instances.

  ** Generated **

### genDiagramElementTargetItemProvider

    protected GenDiagramElementTargetItemProvider genDiagramElementTargetItemProvider

  This keeps track of the one adapter used for all `GenDiagramElementTarget` instances.

  ** Generated **

### genDomainAttributeTargetItemProvider

    protected GenDomainAttributeTargetItemProvider genDomainAttributeTargetItemProvider

  This keeps track of the one adapter used for all `GenDomainAttributeTarget` instances.

  ** Generated **

### genNotationElementTargetItemProvider

    protected GenNotationElementTargetItemProvider genNotationElementTargetItemProvider

  This keeps track of the one adapter used for all `GenNotationElementTarget` instances.

  ** Generated **

### genMetricContainerItemProvider

    protected GenMetricContainerItemProvider genMetricContainerItemProvider

  This keeps track of the one adapter used for all `GenMetricContainer` instances.

  ** Generated **

### genMetricRuleItemProvider

    protected GenMetricRuleItemProvider genMetricRuleItemProvider

  This keeps track of the one adapter used for all `GenMetricRule` instances.

  ** Generated **

### genAuditedMetricTargetItemProvider

    protected GenAuditedMetricTargetItemProvider genAuditedMetricTargetItemProvider

  This keeps track of the one adapter used for all `GenAuditedMetricTarget` instances.

  ** Generated **

### genAuditContextItemProvider

    protected GenAuditContextItemProvider genAuditContextItemProvider

  This keeps track of the one adapter used for all `GenAuditContext` instances.

  ** Generated **

### genExpressionProviderContainerItemProvider

    protected GenExpressionProviderContainerItemProvider genExpressionProviderContainerItemProvider

  This keeps track of the one adapter used for all `GenExpressionProviderContainer` instances.

  ** Generated **

### genJavaExpressionProviderItemProvider

    protected GenJavaExpressionProviderItemProvider genJavaExpressionProviderItemProvider

  This keeps track of the one adapter used for all `GenJavaExpressionProvider` instances.

  ** Generated **

### genExpressionInterpreterItemProvider

    protected GenExpressionInterpreterItemProvider genExpressionInterpreterItemProvider

  This keeps track of the one adapter used for all `GenExpressionInterpreter` instances.

  ** Generated **

### genLiteralExpressionProviderItemProvider

    protected GenLiteralExpressionProviderItemProvider genLiteralExpressionProviderItemProvider

  This keeps track of the one adapter used for all `GenLiteralExpressionProvider` instances.

  ** Generated **

### genNavigatorItemProvider

    protected GenNavigatorItemProvider genNavigatorItemProvider

  This keeps track of the one adapter used for all `GenNavigator` instances.

  ** Generated **

### genNavigatorChildReferenceItemProvider

    protected GenNavigatorChildReferenceItemProvider genNavigatorChildReferenceItemProvider

  This keeps track of the one adapter used for all `GenNavigatorChildReference` instances.

  ** Generated **

### genNavigatorPathItemProvider

    protected GenNavigatorPathItemProvider genNavigatorPathItemProvider

  This keeps track of the one adapter used for all `GenNavigatorPath` instances.

  ** Generated **

### genNavigatorPathSegmentItemProvider

    protected GenNavigatorPathSegmentItemProvider genNavigatorPathSegmentItemProvider

  This keeps track of the one adapter used for all `GenNavigatorPathSegment` instances.

  ** Generated **

### genPropertySheetItemProvider

    protected GenPropertySheetItemProvider genPropertySheetItemProvider

  This keeps track of the one adapter used for all `GenPropertySheet` instances.

  ** Generated **

### genStandardPropertyTabItemProvider

    protected GenStandardPropertyTabItemProvider genStandardPropertyTabItemProvider

  This keeps track of the one adapter used for all `GenStandardPropertyTab` instances.

  ** Generated **

### genCustomPropertyTabItemProvider

    protected GenCustomPropertyTabItemProvider genCustomPropertyTabItemProvider

  This keeps track of the one adapter used for all `GenCustomPropertyTab` instances.

  ** Generated **

### typeTabFilterItemProvider

    protected TypeTabFilterItemProvider typeTabFilterItemProvider

  This keeps track of the one adapter used for all `TypeTabFilter` instances.

  ** Generated **

### customTabFilterItemProvider

    protected CustomTabFilterItemProvider customTabFilterItemProvider

  This keeps track of the one adapter used for all `CustomTabFilter` instances.

  ** Generated **

### genSharedContributionItemItemProvider

    protected GenSharedContributionItemItemProvider genSharedContributionItemItemProvider

  This keeps track of the one adapter used for all `GenSharedContributionItem` instances.

  ** Generated **

### genGroupMarkerItemProvider

    protected GenGroupMarkerItemProvider genGroupMarkerItemProvider

  This keeps track of the one adapter used for all `GenGroupMarker` instances.

  ** Generated **

### genSeparatorItemProvider

    protected GenSeparatorItemProvider genSeparatorItemProvider

  This keeps track of the one adapter used for all `GenSeparator` instances.

  ** Generated **

### genCustomActionItemProvider

    protected GenCustomActionItemProvider genCustomActionItemProvider

  This keeps track of the one adapter used for all `GenCustomAction` instances.

  ** Generated **

### genCommandActionItemProvider

    protected GenCommandActionItemProvider genCommandActionItemProvider

  This keeps track of the one adapter used for all `GenCommandAction` instances.

  ** Generated **

### loadResourceActionItemProvider

    protected LoadResourceActionItemProvider loadResourceActionItemProvider

  This keeps track of the one adapter used for all `LoadResourceAction` instances.

  ** Generated **

### initDiagramActionItemProvider

    protected InitDiagramActionItemProvider initDiagramActionItemProvider

  This keeps track of the one adapter used for all `InitDiagramAction` instances.

  ** Generated **

### createShortcutActionItemProvider

    protected CreateShortcutActionItemProvider createShortcutActionItemProvider

  This keeps track of the one adapter used for all `CreateShortcutAction` instances.

  ** Generated **

### genActionFactoryContributionItemItemProvider

    protected GenActionFactoryContributionItemItemProvider genActionFactoryContributionItemItemProvider

  This keeps track of the one adapter used for all `GenActionFactoryContributionItem` instances.

  ** Generated **

### genMenuManagerItemProvider

    protected GenMenuManagerItemProvider genMenuManagerItemProvider

  This keeps track of the one adapter used for all `GenMenuManager` instances.

  ** Generated **

### genToolBarManagerItemProvider

    protected GenToolBarManagerItemProvider genToolBarManagerItemProvider

  This keeps track of the one adapter used for all `GenToolBarManager` instances.

  ** Generated **

### genContextMenuItemProvider

    protected GenContextMenuItemProvider genContextMenuItemProvider

  This keeps track of the one adapter used for all `GenContextMenu` instances.

  ** Generated **

### genApplicationItemProvider

    protected GenApplicationItemProvider genApplicationItemProvider

  This keeps track of the one adapter used for all `GenApplication` instances.

  ** Generated **

### genParsersItemProvider

    protected GenParsersItemProvider genParsersItemProvider

  This keeps track of the one adapter used for all `GenParsers` instances.

  ** Generated **

### predefinedParserItemProvider

    protected PredefinedParserItemProvider predefinedParserItemProvider

  This keeps track of the one adapter used for all `PredefinedParser` instances.

  ** Generated **

### customParserItemProvider

    protected CustomParserItemProvider customParserItemProvider

  This keeps track of the one adapter used for all `CustomParser` instances.

  ** Generated **

### externalParserItemProvider

    protected ExternalParserItemProvider externalParserItemProvider

  This keeps track of the one adapter used for all `ExternalParser` instances.

  ** Generated **

### valueExpressionItemProvider

    protected ValueExpressionItemProvider valueExpressionItemProvider

  This keeps track of the one adapter used for all `ValueExpression` instances.

  ** Generated **

### genConstraintItemProvider

    protected GenConstraintItemProvider genConstraintItemProvider

  This keeps track of the one adapter used for all `GenConstraint` instances.

  ** Generated **

Constructor Detail

### GMFGenItemProviderAdapterFactory

    public GMFGenItemProviderAdapterFactory()

  This constructs an instance.

  ** Generated **

Method Detail

### createGenEditorGeneratorAdapter

    public org.eclipse.emf.common.notify.Adapter createGenEditorGeneratorAdapter()

  This creates an adapter for a `GenEditorGenerator`.

  Overrides:
    `createGenEditorGeneratorAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenEditorGenerator`
  ** Generated **

### createGenDiagramAdapter

    public org.eclipse.emf.common.notify.Adapter createGenDiagramAdapter()

  This creates an adapter for a `GenDiagram`.

  Overrides:
    `createGenDiagramAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenDiagram`
  ** Generated **

### createGenEditorViewAdapter

    public org.eclipse.emf.common.notify.Adapter createGenEditorViewAdapter()

  This creates an adapter for a `GenEditorView`.

  Overrides:
    `createGenEditorViewAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenEditorView`
  ** Generated **

### createGenCustomPreferencePageAdapter

    public org.eclipse.emf.common.notify.Adapter createGenCustomPreferencePageAdapter()

  This creates an adapter for a `GenCustomPreferencePage`.

  Overrides:
    `createGenCustomPreferencePageAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenCustomPreferencePage`
  ** Generated **

### createGenStandardPreferencePageAdapter

    public org.eclipse.emf.common.notify.Adapter createGenStandardPreferencePageAdapter()

  This creates an adapter for a `GenStandardPreferencePage`.

  Overrides:
    `createGenStandardPreferencePageAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenStandardPreferencePage`
  ** Generated **

### createGenDiagramPreferencesAdapter

    public org.eclipse.emf.common.notify.Adapter createGenDiagramPreferencesAdapter()

  This creates an adapter for a `GenDiagramPreferences`.

  Overrides:
    `createGenDiagramPreferencesAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenDiagramPreferences`
  ** Generated **

### createGenStandardFontAdapter

    public org.eclipse.emf.common.notify.Adapter createGenStandardFontAdapter()

  This creates an adapter for a `GenStandardFont`.

  Overrides:
    `createGenStandardFontAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenStandardFont`
  ** Generated **

### createGenCustomFontAdapter

    public org.eclipse.emf.common.notify.Adapter createGenCustomFontAdapter()

  This creates an adapter for a `GenCustomFont`.

  Overrides:
    `createGenCustomFontAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenCustomFont`
  ** Generated **

### createGenRGBColorAdapter

    public org.eclipse.emf.common.notify.Adapter createGenRGBColorAdapter()

  This creates an adapter for a `GenRGBColor`.

  Overrides:
    `createGenRGBColorAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenRGBColor`
  ** Generated **

### createGenConstantColorAdapter

    public org.eclipse.emf.common.notify.Adapter createGenConstantColorAdapter()

  This creates an adapter for a `GenConstantColor`.

  Overrides:
    `createGenConstantColorAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenConstantColor`
  ** Generated **

### createGenPreferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createGenPreferenceAdapter()

  This creates an adapter for a `GenPreference`.

  Overrides:
    `createGenPreferenceAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenPreference`
  ** Generated **

### createGenDiagramUpdaterAdapter

    public org.eclipse.emf.common.notify.Adapter createGenDiagramUpdaterAdapter()

  This creates an adapter for a `GenDiagramUpdater`.

  Overrides:
    `createGenDiagramUpdaterAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenDiagramUpdater`
  ** Generated **

### createGenPluginAdapter

    public org.eclipse.emf.common.notify.Adapter createGenPluginAdapter()

  This creates an adapter for a `GenPlugin`.

  Overrides:
    `createGenPluginAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenPlugin`
  ** Generated **

### createDynamicModelAccessAdapter

    public org.eclipse.emf.common.notify.Adapter createDynamicModelAccessAdapter()

  This creates an adapter for a `DynamicModelAccess`.

  Overrides:
    `createDynamicModelAccessAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DynamicModelAccess`
  ** Generated **

### createCustomBehaviourAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomBehaviourAdapter()

  This creates an adapter for a `CustomBehaviour`.

  Overrides:
    `createCustomBehaviourAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CustomBehaviour`
  ** Generated **

### createSharedBehaviourAdapter

    public org.eclipse.emf.common.notify.Adapter createSharedBehaviourAdapter()

  This creates an adapter for a `SharedBehaviour`.

  Overrides:
    `createSharedBehaviourAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SharedBehaviour`
  ** Generated **

### createOpenDiagramBehaviourAdapter

    public org.eclipse.emf.common.notify.Adapter createOpenDiagramBehaviourAdapter()

  This creates an adapter for a `OpenDiagramBehaviour`.

  Overrides:
    `createOpenDiagramBehaviourAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OpenDiagramBehaviour`
  ** Generated **

### createGenTopLevelNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createGenTopLevelNodeAdapter()

  This creates an adapter for a `GenTopLevelNode`.

  Overrides:
    `createGenTopLevelNodeAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenTopLevelNode`
  ** Generated **

### createGenChildNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createGenChildNodeAdapter()

  This creates an adapter for a `GenChildNode`.

  Overrides:
    `createGenChildNodeAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenChildNode`
  ** Generated **

### createGenChildSideAffixedNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createGenChildSideAffixedNodeAdapter()

  This creates an adapter for a `GenChildSideAffixedNode`.

  Overrides:
    `createGenChildSideAffixedNodeAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenChildSideAffixedNode`
  ** Generated **

### createGenChildLabelNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createGenChildLabelNodeAdapter()

  This creates an adapter for a `GenChildLabelNode`.

  Overrides:
    `createGenChildLabelNodeAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenChildLabelNode`
  ** Generated **

### createGenCompartmentAdapter

    public org.eclipse.emf.common.notify.Adapter createGenCompartmentAdapter()

  This creates an adapter for a `GenCompartment`.

  Overrides:
    `createGenCompartmentAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenCompartment`
  ** Generated **

### createGenLinkAdapter

    public org.eclipse.emf.common.notify.Adapter createGenLinkAdapter()

  This creates an adapter for a `GenLink`.

  Overrides:
    `createGenLinkAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenLink`
  ** Generated **

### createGenNodeLabelAdapter

    public org.eclipse.emf.common.notify.Adapter createGenNodeLabelAdapter()

  This creates an adapter for a `GenNodeLabel`.

  Overrides:
    `createGenNodeLabelAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenNodeLabel`
  ** Generated **

### createGenExternalNodeLabelAdapter

    public org.eclipse.emf.common.notify.Adapter createGenExternalNodeLabelAdapter()

  This creates an adapter for a `GenExternalNodeLabel`.

  Overrides:
    `createGenExternalNodeLabelAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenExternalNodeLabel`
  ** Generated **

### createGenLinkLabelAdapter

    public org.eclipse.emf.common.notify.Adapter createGenLinkLabelAdapter()

  This creates an adapter for a `GenLinkLabel`.

  Overrides:
    `createGenLinkLabelAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenLinkLabel`
  ** Generated **

### createMetamodelTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createMetamodelTypeAdapter()

  This creates an adapter for a `MetamodelType`.

  Overrides:
    `createMetamodelTypeAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MetamodelType`
  ** Generated **

### createSpecializationTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSpecializationTypeAdapter()

  This creates an adapter for a `SpecializationType`.

  Overrides:
    `createSpecializationTypeAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SpecializationType`
  ** Generated **

### createNotationTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createNotationTypeAdapter()

  This creates an adapter for a `NotationType`.

  Overrides:
    `createNotationTypeAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `NotationType`
  ** Generated **

### createLabelModelFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createLabelModelFacetAdapter()

  This creates an adapter for a `LabelModelFacet`.

  Overrides:
    `createLabelModelFacetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LabelModelFacet`
  ** Generated **

### createTypeModelFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createTypeModelFacetAdapter()

  This creates an adapter for a `TypeModelFacet`.

  Overrides:
    `createTypeModelFacetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TypeModelFacet`
  ** Generated **

### createTypeLinkModelFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createTypeLinkModelFacetAdapter()

  This creates an adapter for a `TypeLinkModelFacet`.

  Overrides:
    `createTypeLinkModelFacetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TypeLinkModelFacet`
  ** Generated **

### createFeatureLinkModelFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createFeatureLinkModelFacetAdapter()

  This creates an adapter for a `FeatureLinkModelFacet`.

  Overrides:
    `createFeatureLinkModelFacetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FeatureLinkModelFacet`
  ** Generated **

### createFeatureLabelModelFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createFeatureLabelModelFacetAdapter()

  This creates an adapter for a `FeatureLabelModelFacet`.

  Overrides:
    `createFeatureLabelModelFacetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FeatureLabelModelFacet`
  ** Generated **

### createDesignLabelModelFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createDesignLabelModelFacetAdapter()

  This creates an adapter for a `DesignLabelModelFacet`.

  Overrides:
    `createDesignLabelModelFacetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DesignLabelModelFacet`
  ** Generated **

### createColorAttributesAdapter

    public org.eclipse.emf.common.notify.Adapter createColorAttributesAdapter()

  This creates an adapter for a `ColorAttributes`.

  Overrides:
    `createColorAttributesAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ColorAttributes`
  ** Generated **

### createStyleAttributesAdapter

    public org.eclipse.emf.common.notify.Adapter createStyleAttributesAdapter()

  This creates an adapter for a `StyleAttributes`.

  Overrides:
    `createStyleAttributesAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `StyleAttributes`
  ** Generated **

### createResizeConstraintsAdapter

    public org.eclipse.emf.common.notify.Adapter createResizeConstraintsAdapter()

  This creates an adapter for a `ResizeConstraints`.

  Overrides:
    `createResizeConstraintsAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ResizeConstraints`
  ** Generated **

### createDefaultSizeAttributesAdapter

    public org.eclipse.emf.common.notify.Adapter createDefaultSizeAttributesAdapter()

  This creates an adapter for a `DefaultSizeAttributes`.

  Overrides:
    `createDefaultSizeAttributesAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DefaultSizeAttributes`
  ** Generated **

### createLabelOffsetAttributesAdapter

    public org.eclipse.emf.common.notify.Adapter createLabelOffsetAttributesAdapter()

  This creates an adapter for a `LabelOffsetAttributes`.

  Overrides:
    `createLabelOffsetAttributesAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LabelOffsetAttributes`
  ** Generated **

### createFigureViewmapAdapter

    public org.eclipse.emf.common.notify.Adapter createFigureViewmapAdapter()

  This creates an adapter for a `FigureViewmap`.

  Overrides:
    `createFigureViewmapAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FigureViewmap`
  ** Generated **

### createSnippetViewmapAdapter

    public org.eclipse.emf.common.notify.Adapter createSnippetViewmapAdapter()

  This creates an adapter for a `SnippetViewmap`.

  Overrides:
    `createSnippetViewmapAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SnippetViewmap`
  ** Generated **

### createInnerClassViewmapAdapter

    public org.eclipse.emf.common.notify.Adapter createInnerClassViewmapAdapter()

  This creates an adapter for a `InnerClassViewmap`.

  Overrides:
    `createInnerClassViewmapAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `InnerClassViewmap`
  ** Generated **

### createParentAssignedViewmapAdapter

    public org.eclipse.emf.common.notify.Adapter createParentAssignedViewmapAdapter()

  This creates an adapter for a `ParentAssignedViewmap`.

  Overrides:
    `createParentAssignedViewmapAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ParentAssignedViewmap`
  ** Generated **

### createModeledViewmapAdapter

    public org.eclipse.emf.common.notify.Adapter createModeledViewmapAdapter()

  This creates an adapter for a `ModeledViewmap`.

  Overrides:
    `createModeledViewmapAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ModeledViewmap`
  ** Generated **

### createPaletteAdapter

    public org.eclipse.emf.common.notify.Adapter createPaletteAdapter()

  This creates an adapter for a `Palette`.

  Overrides:
    `createPaletteAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Palette`
  ** Generated **

### createToolEntryAdapter

    public org.eclipse.emf.common.notify.Adapter createToolEntryAdapter()

  This creates an adapter for a `ToolEntry`.

  Overrides:
    `createToolEntryAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ToolEntry`
  ** Generated **

### createStandardEntryAdapter

    public org.eclipse.emf.common.notify.Adapter createStandardEntryAdapter()

  This creates an adapter for a `StandardEntry`.

  Overrides:
    `createStandardEntryAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `StandardEntry`
  ** Generated **

### createSeparatorAdapter

    public org.eclipse.emf.common.notify.Adapter createSeparatorAdapter()

  This creates an adapter for a `Separator`.

  Overrides:
    `createSeparatorAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Separator`
  ** Generated **

### createToolGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createToolGroupAdapter()

  This creates an adapter for a `ToolGroup`.

  Overrides:
    `createToolGroupAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ToolGroup`
  ** Generated **

### createGenFeatureSeqInitializerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenFeatureSeqInitializerAdapter()

  This creates an adapter for a `GenFeatureSeqInitializer`.

  Overrides:
    `createGenFeatureSeqInitializerAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenFeatureSeqInitializer`
  ** Generated **

### createGenFeatureValueSpecAdapter

    public org.eclipse.emf.common.notify.Adapter createGenFeatureValueSpecAdapter()

  This creates an adapter for a `GenFeatureValueSpec`.

  Overrides:
    `createGenFeatureValueSpecAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenFeatureValueSpec`
  ** Generated **

### createGenReferenceNewElementSpecAdapter

    public org.eclipse.emf.common.notify.Adapter createGenReferenceNewElementSpecAdapter()

  This creates an adapter for a `GenReferenceNewElementSpec`.

  Overrides:
    `createGenReferenceNewElementSpecAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenReferenceNewElementSpec`
  ** Generated **

### createGenLinkConstraintsAdapter

    public org.eclipse.emf.common.notify.Adapter createGenLinkConstraintsAdapter()

  This creates an adapter for a `GenLinkConstraints`.

  Overrides:
    `createGenLinkConstraintsAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenLinkConstraints`
  ** Generated **

### createGenAuditRootAdapter

    public org.eclipse.emf.common.notify.Adapter createGenAuditRootAdapter()

  This creates an adapter for a `GenAuditRoot`.

  Overrides:
    `createGenAuditRootAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenAuditRoot`
  ** Generated **

### createGenAuditContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenAuditContainerAdapter()

  This creates an adapter for a `GenAuditContainer`.

  Overrides:
    `createGenAuditContainerAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenAuditContainer`
  ** Generated **

### createGenAuditRuleAdapter

    public org.eclipse.emf.common.notify.Adapter createGenAuditRuleAdapter()

  This creates an adapter for a `GenAuditRule`.

  Overrides:
    `createGenAuditRuleAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenAuditRule`
  ** Generated **

### createGenDomainElementTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createGenDomainElementTargetAdapter()

  This creates an adapter for a `GenDomainElementTarget`.

  Overrides:
    `createGenDomainElementTargetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenDomainElementTarget`
  ** Generated **

### createGenDiagramElementTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createGenDiagramElementTargetAdapter()

  This creates an adapter for a `GenDiagramElementTarget`.

  Overrides:
    `createGenDiagramElementTargetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenDiagramElementTarget`
  ** Generated **

### createGenDomainAttributeTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createGenDomainAttributeTargetAdapter()

  This creates an adapter for a `GenDomainAttributeTarget`.

  Overrides:
    `createGenDomainAttributeTargetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenDomainAttributeTarget`
  ** Generated **

### createGenNotationElementTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createGenNotationElementTargetAdapter()

  This creates an adapter for a `GenNotationElementTarget`.

  Overrides:
    `createGenNotationElementTargetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenNotationElementTarget`
  ** Generated **

### createGenMetricContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenMetricContainerAdapter()

  This creates an adapter for a `GenMetricContainer`.

  Overrides:
    `createGenMetricContainerAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenMetricContainer`
  ** Generated **

### createGenMetricRuleAdapter

    public org.eclipse.emf.common.notify.Adapter createGenMetricRuleAdapter()

  This creates an adapter for a `GenMetricRule`.

  Overrides:
    `createGenMetricRuleAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenMetricRule`
  ** Generated **

### createGenAuditedMetricTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createGenAuditedMetricTargetAdapter()

  This creates an adapter for a `GenAuditedMetricTarget`.

  Overrides:
    `createGenAuditedMetricTargetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenAuditedMetricTarget`
  ** Generated **

### createGenAuditContextAdapter

    public org.eclipse.emf.common.notify.Adapter createGenAuditContextAdapter()

  This creates an adapter for a `GenAuditContext`.

  Overrides:
    `createGenAuditContextAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenAuditContext`
  ** Generated **

### createGenExpressionProviderContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenExpressionProviderContainerAdapter()

  This creates an adapter for a `GenExpressionProviderContainer`.

  Overrides:
    `createGenExpressionProviderContainerAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenExpressionProviderContainer`
  ** Generated **

### createGenJavaExpressionProviderAdapter

    public org.eclipse.emf.common.notify.Adapter createGenJavaExpressionProviderAdapter()

  This creates an adapter for a `GenJavaExpressionProvider`.

  Overrides:
    `createGenJavaExpressionProviderAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenJavaExpressionProvider`
  ** Generated **

### createGenExpressionInterpreterAdapter

    public org.eclipse.emf.common.notify.Adapter createGenExpressionInterpreterAdapter()

  This creates an adapter for a `GenExpressionInterpreter`.

  Overrides:
    `createGenExpressionInterpreterAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenExpressionInterpreter`
  ** Generated **

### createGenLiteralExpressionProviderAdapter

    public org.eclipse.emf.common.notify.Adapter createGenLiteralExpressionProviderAdapter()

  This creates an adapter for a `GenLiteralExpressionProvider`.

  Overrides:
    `createGenLiteralExpressionProviderAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenLiteralExpressionProvider`
  ** Generated **

### createGenNavigatorAdapter

    public org.eclipse.emf.common.notify.Adapter createGenNavigatorAdapter()

  This creates an adapter for a `GenNavigator`.

  Overrides:
    `createGenNavigatorAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenNavigator`
  ** Generated **

### createGenNavigatorChildReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createGenNavigatorChildReferenceAdapter()

  This creates an adapter for a `GenNavigatorChildReference`.

  Overrides:
    `createGenNavigatorChildReferenceAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenNavigatorChildReference`
  ** Generated **

### createGenNavigatorPathAdapter

    public org.eclipse.emf.common.notify.Adapter createGenNavigatorPathAdapter()

  This creates an adapter for a `GenNavigatorPath`.

  Overrides:
    `createGenNavigatorPathAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenNavigatorPath`
  ** Generated **

### createGenNavigatorPathSegmentAdapter

    public org.eclipse.emf.common.notify.Adapter createGenNavigatorPathSegmentAdapter()

  This creates an adapter for a `GenNavigatorPathSegment`.

  Overrides:
    `createGenNavigatorPathSegmentAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenNavigatorPathSegment`
  ** Generated **

### createGenPropertySheetAdapter

    public org.eclipse.emf.common.notify.Adapter createGenPropertySheetAdapter()

  This creates an adapter for a `GenPropertySheet`.

  Overrides:
    `createGenPropertySheetAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenPropertySheet`
  ** Generated **

### createGenStandardPropertyTabAdapter

    public org.eclipse.emf.common.notify.Adapter createGenStandardPropertyTabAdapter()

  This creates an adapter for a `GenStandardPropertyTab`.

  Overrides:
    `createGenStandardPropertyTabAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenStandardPropertyTab`
  ** Generated **

### createGenCustomPropertyTabAdapter

    public org.eclipse.emf.common.notify.Adapter createGenCustomPropertyTabAdapter()

  This creates an adapter for a `GenCustomPropertyTab`.

  Overrides:
    `createGenCustomPropertyTabAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenCustomPropertyTab`
  ** Generated **

### createTypeTabFilterAdapter

    public org.eclipse.emf.common.notify.Adapter createTypeTabFilterAdapter()

  This creates an adapter for a `TypeTabFilter`.

  Overrides:
    `createTypeTabFilterAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TypeTabFilter`
  ** Generated **

### createCustomTabFilterAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomTabFilterAdapter()

  This creates an adapter for a `CustomTabFilter`.

  Overrides:
    `createCustomTabFilterAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CustomTabFilter`
  ** Generated **

### createGenSharedContributionItemAdapter

    public org.eclipse.emf.common.notify.Adapter createGenSharedContributionItemAdapter()

  This creates an adapter for a `GenSharedContributionItem`.

  Overrides:
    `createGenSharedContributionItemAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenSharedContributionItem`
  ** Generated **

### createGenGroupMarkerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenGroupMarkerAdapter()

  This creates an adapter for a `GenGroupMarker`.

  Overrides:
    `createGenGroupMarkerAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenGroupMarker`
  ** Generated **

### createGenSeparatorAdapter

    public org.eclipse.emf.common.notify.Adapter createGenSeparatorAdapter()

  This creates an adapter for a `GenSeparator`.

  Overrides:
    `createGenSeparatorAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenSeparator`
  ** Generated **

### createGenCustomActionAdapter

    public org.eclipse.emf.common.notify.Adapter createGenCustomActionAdapter()

  This creates an adapter for a `GenCustomAction`.

  Overrides:
    `createGenCustomActionAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenCustomAction`
  ** Generated **

### createGenCommandActionAdapter

    public org.eclipse.emf.common.notify.Adapter createGenCommandActionAdapter()

  This creates an adapter for a `GenCommandAction`.

  Overrides:
    `createGenCommandActionAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenCommandAction`
  ** Generated **

### createLoadResourceActionAdapter

    public org.eclipse.emf.common.notify.Adapter createLoadResourceActionAdapter()

  This creates an adapter for a `LoadResourceAction`.

  Overrides:
    `createLoadResourceActionAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LoadResourceAction`
  ** Generated **

### createInitDiagramActionAdapter

    public org.eclipse.emf.common.notify.Adapter createInitDiagramActionAdapter()

  This creates an adapter for a `InitDiagramAction`.

  Overrides:
    `createInitDiagramActionAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `InitDiagramAction`
  ** Generated **

### createCreateShortcutActionAdapter

    public org.eclipse.emf.common.notify.Adapter createCreateShortcutActionAdapter()

  This creates an adapter for a `CreateShortcutAction`.

  Overrides:
    `createCreateShortcutActionAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CreateShortcutAction`
  ** Generated **

### createGenActionFactoryContributionItemAdapter

    public org.eclipse.emf.common.notify.Adapter createGenActionFactoryContributionItemAdapter()

  This creates an adapter for a `GenActionFactoryContributionItem`.

  Overrides:
    `createGenActionFactoryContributionItemAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenActionFactoryContributionItem`
  ** Generated **

### createGenMenuManagerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenMenuManagerAdapter()

  This creates an adapter for a `GenMenuManager`.

  Overrides:
    `createGenMenuManagerAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenMenuManager`
  ** Generated **

### createGenToolBarManagerAdapter

    public org.eclipse.emf.common.notify.Adapter createGenToolBarManagerAdapter()

  This creates an adapter for a `GenToolBarManager`.

  Overrides:
    `createGenToolBarManagerAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenToolBarManager`
  ** Generated **

### createGenContextMenuAdapter

    public org.eclipse.emf.common.notify.Adapter createGenContextMenuAdapter()

  This creates an adapter for a `GenContextMenu`.

  Overrides:
    `createGenContextMenuAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenContextMenu`
  ** Generated **

### createGenApplicationAdapter

    public org.eclipse.emf.common.notify.Adapter createGenApplicationAdapter()

  This creates an adapter for a `GenApplication`.

  Overrides:
    `createGenApplicationAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenApplication`
  ** Generated **

### createGenParsersAdapter

    public org.eclipse.emf.common.notify.Adapter createGenParsersAdapter()

  This creates an adapter for a `GenParsers`.

  Overrides:
    `createGenParsersAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenParsers`
  ** Generated **

### createPredefinedParserAdapter

    public org.eclipse.emf.common.notify.Adapter createPredefinedParserAdapter()

  This creates an adapter for a `PredefinedParser`.

  Overrides:
    `createPredefinedParserAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PredefinedParser`
  ** Generated **

### createCustomParserAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomParserAdapter()

  This creates an adapter for a `CustomParser`.

  Overrides:
    `createCustomParserAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CustomParser`
  ** Generated **

### createExternalParserAdapter

    public org.eclipse.emf.common.notify.Adapter createExternalParserAdapter()

  This creates an adapter for a `ExternalParser`.

  Overrides:
    `createExternalParserAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ExternalParser`
  ** Generated **

### createValueExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionAdapter()

  This creates an adapter for a `ValueExpression`.

  Overrides:
    `createValueExpressionAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpression`
  ** Generated **

### createGenConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createGenConstraintAdapter()

  This creates an adapter for a `GenConstraint`.

  Overrides:
    `createGenConstraintAdapter` in class `GMFGenAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenConstraint`
  ** Generated **

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`
  ** Generated **

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`
  ** Generated **

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `GMFGenAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.
  ** Generated **

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  ** Generated **

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  ** Generated **

### getChildCreationExtenders

    public java.util.List<org.eclipse.emf.edit.provider.IChildCreationExtender> getChildCreationExtenders()

  ** Generated **

### getNewChildDescriptors

    public java.util.Collection<?> getNewChildDescriptors(java.lang.Object object,
                                                          org.eclipse.emf.edit.domain.EditingDomain editingDomain)

  Specified by:
    `getNewChildDescriptors` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`
  ** Generated **

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Specified by:
    `getResourceLocator` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`
  ** Generated **

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`
  ** Generated **

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`
  ** Generated **

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`
  ** Generated **

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.